Bug 101069 - Slides pane doesnt reopen immediately
Summary: Slides pane doesnt reopen immediately
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Page-Pane
  Show dependency treegraph
 
Reported: 2016-07-22 11:15 UTC by Yousuf Philips (jay) (retired)
Modified: 2022-11-14 03:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-07-22 11:15:25 UTC
Steps:
1) Open Impress with the slides pane open
2) Close the slides pane with the close button at the top right of the pane
3) Reopen it with View > Slide Pane and it reopens immediately
4) Close the slides pane again
5) Close Impress
6) Open Impress which now has the slides pane closed
7) View > Slide Pane
8) Slide pane doesnt appear immediately

Sometimes it appears after adding something to the canvas or opening up another app. Versions older than 4.0 dont save the closed status of the slides pane.

Version: 5.3.0.0.alpha0+
Build ID: 194d4a02b9117064106fba0bde6b9494831d6475
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-07-13_13:07:06
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 V Stuart Foote 2016-07-24 13:11:47 UTC
Confirming following STR, the "Slides" pane does not show using the View -> Slide Pane immediately.  Rather, doing nothing in the UI, it takes ~12-13 seconds to be added during a refresh.

Interestingly the Draw module is not similarly affected and the "Pages" pane opens shortly after button selection from View -> Page Pane

On Windows 10 Pro 64-bit en-US with:

Version: 5.2.0.3 (x64)
Build ID: 7dbd85f5a18cfeaf6801c594fc43a5edadc2df0c
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
Locale: en-US (en_US)

Version: 5.2.0.3 (x64)
Build ID: 7dbd85f5a18cfeaf6801c594fc43a5edadc2df0c
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
Locale: en-US (en_US)

Version: 5.1.2.2 (x64)
Build ID: d3bf12ecb743fc0d20e0be0c58ca359301eb705f
CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; 
Locale: en-US (en_US)

Version: 5.0.6.3 (x64)
Build ID: 490fc03b25318460cfc54456516ea2519c11d1aa
Locale: en-US (en_US)

Version: 4.4.6.3
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale: en_US
Comment 2 Xisco Faulí 2017-09-29 08:52:57 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2019-12-03 13:50:53 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2020-11-13 16:33:33 UTC
Still repro

Arch Linux 64-bit
Version: 7.1.0.0.alpha1+
Build ID: c54e1c22f30c23d00e2fe7521217569fcec59cc4
CPU threads: 8; OS: Linux 5.9; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 13 November 2020
Comment 5 QA Administrators 2022-11-14 03:31:34 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug